Type to search.

Bulk revoke or delete enrollment API keys

Base URL
https://{kibana_url}
  • POST /api/fleet/enrollment_api_keys/_bulk_delete
  • POST /s/{space_id}/api/fleet/enrollment_api_keys/_bulk_delete
Auth The Elastic Stack includes Elastic's core products such as Elasticsearch, Kibana, Logstash, and Beats. Availability Generally available since 9.5 This functionality is generally available and ready for production usage. Unless stated otherwise on the page, this functionality is available when your Elastic Stack is deployed on Elastic Cloud Hosted, Elastic Cloud Enterprise, Elastic Cloud on Kubernetes, and self-managed environments. This documentation corresponds to the latest patch available for each minor version. If you're not using the latest patch, check the release notes for changes.

Revoke or delete multiple enrollment API keys.

Required privileges

Privileges fleet-agents-all

Path parameters

space_id string optional

An identifier for the space. If space_id is not provided in the URL, the default space is used. Refer to Spaces for more information.

Header parameters

kbn-xsrf string required

A required header to protect against CSRF attacks

Request body

forceDelete boolean · default: false

When false (default), invalidate the API key and mark the token as inactive. When true, also delete the token document.

includeHidden boolean · default: false

When true, allow deletion of hidden enrollment tokens (managed/agentless policies). Defaults to false.

kuery string

KQL query to select enrollment tokens to delete.

tokenIds string[] · max items: 10000

List of enrollment token IDs to delete.

Responses

Successful response

application/json
action string required
count number required
errorCount number required
successCount number required